ldns_radix_node_t Struct Reference

A node in a radix tree. More...

`#include <radix.h>`

## Data Fields

uint8_t * | key
| Key corresponding to this node.
radix_strlen_t | klen
| Key length corresponding to this node.
void * | data
| Data corresponding to this node.
ldns_radix_node_t * | parent
| Parent node.
uint8_t | parent_index
| Index in the parent node select edge array.
uint16_t | len
| Length of the array.
uint16_t | offset
| Offset of the array.
uint16_t | capacity
| Capacity of the array.
ldns_radix_array_t * | array
| Select edge array.

## Detailed Description

A node in a radix tree.

Definition at line 68 of file radix.h.

## Field Documentation

## key

uint8_t* ldns_radix_node_t::key

Key corresponding to this node.

Definition at line 70 of file radix.h.

## klen

radix_strlen_t ldns_radix_node_t::klen

Key length corresponding to this node.

Definition at line 72 of file radix.h.

## data

void* ldns_radix_node_t::data

Data corresponding to this node.

Definition at line 74 of file radix.h.

## parent

ldns_radix_node_t* ldns_radix_node_t::parent

Parent node.

Definition at line 76 of file radix.h.

## parent_index

uint8_t ldns_radix_node_t::parent_index

Index in the parent node select edge array.

Definition at line 78 of file radix.h.

## len

uint16_t ldns_radix_node_t::len

Length of the array.

Definition at line 80 of file radix.h.

## offset

uint16_t ldns_radix_node_t::offset

Offset of the array.

Definition at line 82 of file radix.h.

## capacity

uint16_t ldns_radix_node_t::capacity

Capacity of the array.

Definition at line 84 of file radix.h.

## array

ldns_radix_array_t* ldns_radix_node_t::array

Select edge array.

Definition at line 86 of file radix.h.